import { select, csv, scaleLinear, extent } from 'd3';
const svg = select('body').append('svg');
const width = window.innerWidth;
const height = window.innerHeight;
svg.attr('width', width);
svg.attr('height', height);
/////////////////////////////////////////////////////////
const margin = {
  top: 100,
  right: 100,
  bottom: 100,
  left: 100,
};
const innerWidth = width - margin.left - margin.right;
const innerHeight = height - margin.top - margin.bottom;
//////////////////////////////////////////////////////////////
const url =
  'https://gist.githubusercontent.com/curran/a08a1080b88344b0c8a7/raw/0e7a9b0a5d22642a06d3d5b9bcbad9890c8ee534/iris.csv';

const main = async () => {
  const result = await csv(url);
  return result;
};
//{sepal_length: "5.1", sepal_width: "3.5", petal_length: "1.4", petal_width: "0.2", species: "setosa"}
main().then((data) => {
  data.forEach((d) => {
    d.sepal_length = +d.sepal_length;
    d.sepal_width = +d.sepal_width;
    d.petal_length = +d.petal_length;
    d.petal_width = +d.petal_width;
  });
  //////////////////////////////////////////////
  const xScale = scaleLinear()
    .domain(extent(data, (d) => d.sepal_length))
    .range([0, innerWidth]);
  const yScale = scaleLinear()
    .domain(extent(data, (d) => d.sepal_width))
    .range([10, innerHeight]);
  ///////////////////////////////////////////////
  const g = svg.append('g');
 
  
  g.attr('fill', 'blue');g.selectAll('circle')
    .data(data)
    .enter()
    .append('circle')
    .attr('r', 50)

    .attr('cx', (d) => xScale(d.sepal_length))
    .attr('cy', (d) => yScale(d.sepal_width));
   // add 10 squares with random colors and sizes
  
  g.attr(
    'transform',`translate(${margin.left},${margin.top})`
    `translate(${margin.left},${margin.top})`
  );
  ///////////////////////////////////////////////////////////////
});
